Skip to main content
`Ctrl`+`K`

# DMPlexTSComputeBoundary

Insert the essential boundary values into the local input `locX` and/or its time derivative `locX_t` using pointwise functions specified by the user

## Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeBoundary(DM dm, PetscReal time, Vec locX, Vec locX_t, void *user)

## Input Parameters

- dm - The mesh

- time - The time

- locX - Local solution

- locX_t - Local solution time derivative, or `NULL`

- user - The user context

## See Also

TS: Scalable ODE and DAE Solvers, `DMPLEX`, `TS`, `DMPlexComputeJacobianActionFEM()`

## Level

developer

## Location

src/ts/utils/dmplexts.c

## Examples

src/ts/tutorials/ex30.c
src/ts/tutorials/ex45.c
src/ts/tutorials/ex47.c
src/ts/tutorials/ex76.c
src/ts/tutorials/ex77.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex46.c
src/ts/tutorials/ex53.c
src/ts/tutorials/ex48.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages